Bug 973723 - Latest setup package update changes title setting in byobu
Latest setup package update changes title setting in byobu
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: byobu (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Klepek
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-12 10:48 EDT by Ankur Sinha (FranciscoD)
Modified: 2016-07-19 06:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:14:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
byobu with screen backend showing wrong window titles (113.23 KB, image/png)
2014-01-09 10:11 EST, Ankur Sinha (FranciscoD)
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1197726 None None None Never

  None (edit)
Description Ankur Sinha (FranciscoD) 2013-06-12 10:48:39 EDT
Description of problem:
I use byobu with a screen backend. The latest update to the "setup" package changed the text displayed on the hardstatus line completely. For instance, it used to be just "$" when you create a new "window" and the title would be set to "user@host:CWD". With this update, the byobu terminal title remains "screen", and the hardstatusline shows "user@host:CWD"

I'm not certain if this is a byobu bug or a regression caused by the setup update, but I'd be grateful if you could please look this over.

Version-Release number of selected component (if applicable):
byobu-5.21-5.fc19.noarch

How reproducible:
Always

Steps to Reproduce:
1. Update to setup-2.8.71
2. Restart byobu
3.

Actual results:
The terminal title remains screen, while the hardstatusline info changes to show user@host:CWD

Expected results:
(Not sure, but this is what it used to be)Terminal title should show user@host:CWD and hardstatusline should just be empty by default if no name is set by the user.

I have screenshots attached to the related bug to explain the change.

Additional info:
Comment 1 Jan Klepek 2014-01-08 15:44:00 EST
do you still face this issue? 
I'm not able to reproduce it with latest version of byobu (currently in testing repo, version 5.69), can you please provide screenshot?
Comment 2 Ankur Sinha (FranciscoD) 2014-01-09 10:09:57 EST
(In reply to Jan Klepek from comment #1)
> do you still face this issue? 
> I'm not able to reproduce it with latest version of byobu (currently in
> testing repo, version 5.69), can you please provide screenshot?

I still see it here. Attaching screen shot. 

I use this in my .bashrc to correct it:

export PROMPT_COMMAND='printf "\033]0;%s@%s:%s\033\\" "${USER}" "${HOSTNAME%%.*}" "${PWD/#$HOME/~}"'

I'm using a screen backend with byobu, if that makes a difference. It could be a screen issue even?

Thanks,
Warm regards,
Ankur
Comment 3 Ankur Sinha (FranciscoD) 2014-01-09 10:11:50 EST
Created attachment 847687 [details]
byobu with screen backend showing wrong window titles
Comment 4 Jan Klepek 2014-01-09 13:32:33 EST
and you expect that it will look like this? 
https://help.ubuntu.com/community/Byobu?action=AttachFile&do=get&target=bottom.png ?
Comment 5 Jan Klepek 2014-01-09 14:05:33 EST
I have downgraded setup package to older version, and there it looks like this:
http://hpejakle.fedorapeople.org/byobu_setup_2.8.70.png

is this what you expect to see?
Comment 6 Jan Klepek 2014-01-09 15:48:53 EST
this issue is discussed with upstream (ticket: 1197726, https://bugs.launchpad.net/byobu/+bug/1197726)
Comment 7 Ankur Sinha (FranciscoD) 2014-01-09 17:32:54 EST
(In reply to Jan Klepek from comment #5)
> I have downgraded setup package to older version, and there it looks like
> this:
> http://hpejakle.fedorapeople.org/byobu_setup_2.8.70.png
> 
> is this what you expect to see?

Yeah. Well, I'm not sure what the "correct" behaviour is, but that's what it used to be. Having `user@host:pwd` is too long in the status bar IMO. When that happens, the status bar is quite unusable if I have more than 3 byobu "windows". 

(In reply to Jan Klepek from comment #6)
> this issue is discussed with upstream (ticket: 1197726,
> https://bugs.launchpad.net/byobu/+bug/1197726)

Oh! I forgot that I'd filed a bug upstream. Thanks for chiming in. 

Warm regards,
Ankur
Comment 8 Fedora End Of Life 2015-01-09 17:09:09 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-02-18 08:56:23 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 Ankur Sinha (FranciscoD) 2015-02-18 11:29:42 EST
Not sure if this is resolved yet. Keeping open for the time being.
Comment 11 Jaroslav Reznik 2015-03-03 11:53:27 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 12 Fedora End Of Life 2016-07-19 06:14:39 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.